Package com.pixelmed.network

## Class NetworkConfigurationFromMulticastDNS.OurJmDNSServiceListener

- java.lang.Object
- - com.pixelmed.network.NetworkConfigurationFromMulticastDNS.OurJmDNSServiceListener

- All Implemented Interfaces:
    `java.lang.reflect.InvocationHandler`
  Enclosing class:
    NetworkConfigurationFromMulticastDNS

      protected class NetworkConfigurationFromMulticastDNS.OurJmDNSServiceListener
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `OurJmDNSServiceListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` |
    `void` | `serviceAdded​(javax.jmdns.ServiceEvent event)` |
    `void` | `serviceRemoved​(javax.jmdns.ServiceEvent event)` |
    `void` | `serviceResolved​(javax.jmdns.ServiceEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OurJmDNSServiceListener

          protected OurJmDNSServiceListener()

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object proxy,
                                         java.lang.reflect.Method method,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`

    - #### serviceAdded

          public void serviceAdded​(javax.jmdns.ServiceEvent event)

    - #### serviceRemoved

          public void serviceRemoved​(javax.jmdns.ServiceEvent event)

    - #### serviceResolved

          public void serviceResolved​(javax.jmdns.ServiceEvent event)